#include <stdio.h>
#include <math.h>
#include "object.h"
#include "swdef.h"
#include "mystdlib.h"
#include "parser.h"
#include "transpor.h"
#include "strutil.h"
#include "errhand.h"

extern int graphix;
extern Dspobj *DspRoot;

#define TRUE 1
#define FALSE 0

#define key_is(x) (streq(x,key->key))

void cmd_reset(void)
{
  Token *key;
  char *glblnames;
  
  glblnames=Make_GlblNameList("/",DspRoot);
  if (glblnames) {
    key=Get_DspGlbl_M("object: ",";",glblnames);
    free(glblnames);
  }else key=Get_DspGlbl_M("object: ",";","/");
  if (key->status==TOK_OK) {
    reset_object((Dspobj *)key->ptr);
  }else if (key->status==TOK_NOK) {
    err_set(1,"unknown display object: %s",key->text);
  }
  free_Token(key);
}
