#include <stdio.h>
#include <math.h>
#include "object.h"
#include "swdef.h"
#include "mystdlib.h"
#include "parser.h"
#include "transpor.h"
#include "strutil.h"
#include "errhand.h"

extern int graphix;

#define TRUE 1
#define FALSE 0

extern Dspobj *DspRoot;

void cmd_select(void)
{
  Token *tok=(Token *)NULL;
  char buff[1024];
  
  tok=Get_DspGlbl_D("object: ",";","");
  if (tok->status==TOK_OK) {
    send_bheader(graphix,"SALT",sizeof(void *));
    send_bptr(graphix,tok->ptr);
    prtGraphics("alternate object %s\n",
		nodeptr_to_name(buff,((Dspobj *)tok->ptr)->root));
  }else if (tok->status == TOK_NOK) {
    err_set(1,"object not found.");
  }
  free_Token(tok);
}
