#include <stdio.h>
#include <unistd.h>
#include "swdef.h"
#include "transpor.h"
#include "parser.h"
#include "mystdlib.h"
#include "object.h"
#include "errhand.h"
#include "graphics.h"

extern int graphix;
extern int server;

static int abort_set = FALSE;    /* for future development, ^C handling */

#define hdr_is(x) (strncmp((x),hdr,4)==0)

/*-------------------- check_abort --------------------*/

int checkabort(void)
{
  Qmsg *Msg;
  char *a,*hdr,*msgmask;
  int r,n;
  cptr_t cross;

  if (graphix<1) {
    r=abort_set;             /* a good idea ? */
    abort_set=FALSE;
  }else{
    r=abort_set;             /* a good idea ? */
    abort_set=FALSE;
    fillmsgq(MSGQNOWAIT);
    msgmask="KEYB MENU SCCN USAP";
    while(!r&&(Msg=nextqmsg(msgmask))) {
      hdr=Msg->type;
      n=Msg->size;
      if (hdr_is("KEYB")||hdr_is("MENU")) {
	r=(n==5)&&strneq(Msg->msg,"abort",5);
	delqmsg(Msg);
      }else if (hdr_is("SCCN")) {
	delqmsg(Msg);		/* pretty dirty stuff here... */
	graphics_down("Server closed connection...");
	r=FALSE;
      }else if (hdr_is("USAP")) {
	if (n==cPtrSize()) {
	  memset(&cross,0,8);
	  memcpy((char *)&a,Msg->msg,n);    
	  handle_usap(cross);
	}
	delqmsg(Msg);
      }else{
	delqmsg(Msg);
      }
    }
  }
  return(r);
}
