#include <stdio.h>
#include "swdef.h"
#include "transpor.h"
#include "parser.h"
#include "mystdlib.h"
#include "object.h"
#include "errhand.h"

extern int graphix;

extern Node *MolRoot,*DefaultNode;

#define TRUE 1
#define FALSE 0

#define key_is(x) (streq(x,key->key))
#define free_menu(x) if (mvld(x)) free(x),x=(char *)NULL

/*------------------------------------------------------------------------*/

void foobar(void)
{
  Token *key=(Token *)NULL;
  FILE *foo;
  Atom *a;

  key=Get_Mol_D("molecule> ",";");
  if (key->status==TOK_OK) {
    foo=fopen("foo.bar","w");
    if (foo) {
      fprintf(foo,"%s\n",((Node *)key->ptr)->name);
      ForAtoms(a,key->ptr) {
	if (a->nxyz<1||!mvld(a->atp)) continue;
	fprintf(foo,"%8.3f %8.3f %8.3f  %5.3f 16.0 4 1  %d\n",
		a->x[0],a->x[1],a->x[2],a->atp->rvdw,a->atp->numtp);
      }
      fclose(foo);
    }else err_set(1,"failed to open foo.bar for write.");
  }else if (key->status==TOK_NOK) err_set(1,"bad molecule selection: %s",key->text);

  free_Token(key);
  return;
}
