#ifndef GRAPHICSDEF
#define GRAPHICSDEF

#include "object.h"

typedef struct Gfxobj {
  Dspobj *Obj;
  float *Vecbuff;
  int Nbuff,Buffsize,Nvec,Color;
} Gfxobj;

Gfxobj *OpenGfxObject(Dspobj *global,int buffsize);
Gfxobj *CloseGfxObject(Gfxobj *G);
void AddMD(Gfxobj *G,float *x,float *y,int Color);
void AddTMD(Gfxobj *G,mat_4 T,float *x,float *y,int Color);
void FlushGfxBuffer(Gfxobj *G);
void AddIcoSphere(Gfxobj *G,float *center,float radius,int div,int Color);

#endif
