#ifndef ISOSURFACEDEF
#define ISOSURFACEDEF

#include "object.h"
#include "surface.h"

#define ISOS_NONE 0
#define ISOS_PDB  1
#define ISOS_DFLT 2
#define ISOS_WNP  3

typedef struct {
  int nv,v[12];
  int nf,f[5][3];       /* max 5 triangles per cube */
} CubeTrig;

Surface *isoSurface(Grid *G,float lev,int inv,float miss,int Mtype,int dots);
Surface *isoMesh(Grid *g,float lev,int inSide,float missing,int Mtype,int axis,int dots);

#endif
