#ifndef STRUTILDEF
#define STRUTILDEF

#ifndef TOKENDEF
#include "token.h"
#endif

#include <string.h>

/*-------------------- prototypes and macros --------------------*/

double str2d(char *s);
double str2dsigma(char *s,double *sigma);
float  str2f(char *s);
long   str2l(char *s);
short  str2s(char *s);
int    str2i(char *s);
char   *strfld(char *target,char *source,int from,int to);
char   *strsqz(char *target,char *source);
int     kwd_match(char *kwd,char *kwd_list,char *match);
int	wild_match(char *regular,char *wild);
int	mwild_xmatch(char *regular,char *wild);
int	wild_imatch(char *regular,char *wild);
int	wild_xmatch(char *regular,char *wild);
char   *extfil(char *fullname,char *filename,char *ext,int replace);
int     streq(char *s1,char *s2);
int     strceq(char *s1,char *s2);
int     strneq(char *s1,char *s2,int n);
int     strnceq(char *s1,char *s2,int n);
void    StrCpy(char *t,char *x,int len);
char   *Strdup(const char *p);
char   *Strcat(char *s1,char *s2);

#define Strcpy(t,x) StrCpy(t,x,sizeof(t))

#endif

