/*    transpor.h    */

#ifndef TRANSPORTDEF
#define TRANSPORTDEF

int     open_transport(int fildes,int bsi,int bso);
void    close_transport(int channel);
int     transport_wait(int channel,int state);
int     read_message(int channel,char *header,char *message);
int     discard_message(int ch);
char   *got_message(int channel);
int     message_size(int channel);
int     remaining_size(int channel);
int     read_data(int channel,int size,char *message);
int     read_data_raw(int ch,int size,char *message);
int     send_message(int channel,char *header,int size,char *message);
int     send_header(int channel,char *header,int size);
int     send_data(int channel,int size,char *data);
int     send_bmessage(int channel,char *header,int size,char *message);
int     send_bheader(int channel,char *header,int size);
int     send_bdata(int channel,int size,char *data);
int     send_bint(int ch,int n);
int     send_int(int ch,int n);
int     send_bptr(int ch,void *p);
int     send_ptr(int ch,void *p);
int     send_bfloat(int ch,float x);
int     send_float(int ch,float x);
int     send_bfloata(int ch,int n,float *x);
int     send_floata(int ch,int n,float *x);
void    prt_message(int channel,char *format,...);
void    trflush(int ch);
float   MY_f(int x);
int     MY_i(int x);
int     SGI_f(float x);
int     SGI_i(int i);
float   OWN_f(int swap,float f);
int     OWN_i(int swap,int i);

#endif

