	subroutine egcons(n,x,e)
c
c   Compute constraint energy 'e' for the molecule whose coordinates
c   are stored in x (n atoms). At the same time the gradient resulting from
c   the constraint potentials will be added to 'gr'.
c
#include "sizes.h"
#include "energy.h"
	real	x(3,*)
	real*8  e
c
c   Initialize energy
c
	e=0.0
	if (ncon.gt.0)  call egcondi(n,x,e)
	if (nconp.gt.0) call egconp(n,x,e)
	if (ncond.gt.0) call egconto(n,x,e)
	if (nconc.gt.0) call egconchi(n,x,e)
	if (ncona.gt.0) call egcona(n,x,e)
	if (nconx.gt.0) call egconx(n,x,e)
c
c   done...
c
	return
	end
