C This is only a 'stub'. If you want to use the LBFGS (J. Nocedal) limited memory
C BFGS minimizer you should download the L-BFGS package from
C
C     http://www.ece.northwestern.edu/~nocedal/lbfgs.html
C
C and replace this stub by the file lbfgs.f from the downloaded package.
C
C The L-BFGS software is freely available for educational or commercial use, but the author
C expects that all publications describing work using the software quote the at least one
C of the references given below:
C
C  J. Nocedal. Updating Quasi-Newton Matrices with Limited Storage (1980), 
C     Mathematics of Computation 35, pp. 773-782.
C
C  D.C. Liu and J. Nocedal. On the Limited Memory Method for Large Scale Optimization (1989),
C     Mathematical Programming B, 45, 3, pp. 503-528.

      SUBROUTINE LBFGS(N,M,X,F,G,DIAGCO,DIAG,IPRINT,EPS,XTOL,W,IFLAG)
C
      INTEGER N,M,IPRINT(2),IFLAG
      DOUBLE PRECISION X(N),G(N),DIAG(N),W(N*(2*M+1)+2*M)
      DOUBLE PRECISION F,EPS,XTOL
      LOGICAL DIAGCO

      IFLAG=-999
      RETURN
      END
