c
c   VMS RTL functions...
c
      integer function str_trim(out,in)
c     
      implicit none
      character out*(*),in*(*)
      integer length
c     
      length=index(in,' ')
      if (length.gt.1) then
         length=length-1
         out=in(1:length)
         if (length.gt.len(out)) length=len(out)
      else if (length.eq.0) then
         out=in
         length=min(len(in),len(out))
      else
         length=0
         out=' '
      end if
      str_trim=length
      return
      end
c     
      subroutine str_upcase(out,in)
c     
      character in*(*), out*(*)
      integer   l,i
c     
      l=len(in)
      if (l.gt.len(out)) l=len(out)
      do i=1,l
         if (in(i:i).ge.'a'.and.in(i:i).le.'z') then
            out(i:i)=char(ichar(in(i:i))-32)
         else
            out(i:i)=in(i:i)
         end if
      end do
      return
      end
c
      integer function str_len(in)
c
      implicit none
      Character in*(*)
      integer i
c
      str_len=len(in)
      do i=str_len,1,-1       ! deal with ASCIIZ strings
         if (in(i:i).eq.char(0)) str_len=i-1
      end do
      do i=str_len,1,-1        ! remove trailing blanks
         if (in(i:i).ne.' ') then
            str_len=i
            return
         end if
      end do
      return
      end
