#include <stdio.h>
#include <stddef.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

/*
  Convert ASP map file from GOLD on stdin to Wit!P cnt file on stdout
*/

int main(int argc,char **argv)
{
  float xmin[3],dx[3],*val,*v,miss,c[6];
  int nx[3],n,N,mode,i,j,k,nc,nr,ns,ss;
  char rec[8196];

  fgets(rec,sizeof(rec),stdin);
  fgets(rec,sizeof(rec),stdin);
  fgets(rec,sizeof(rec),stdin);
  n=sscanf(rec,"%f %f %f %f %f %f",dx+0,dx+1,dx+2,c+3,c+4,c+5);
  if (n!=6) {
    fprintf(stderr,"not a valid ASP map\n");
    return(1);
  }
  fgets(rec,sizeof(rec),stdin);
  n=sscanf(rec,"%d %d %d",nx+0,nx+1,nx+2);
  if (n!=3) {
    fprintf(stderr,"not a valid ASP map\n");
    return(1);
  }
  fgets(rec,sizeof(rec),stdin);
  n=sscanf(rec,"%d %d %d %d %d %d %d",&mode,&i,&ss,&j,&ss,&k,&ss);
  if (n!=7) {
    fprintf(stderr,"not a valid ASP map\n");
    return(1);
  }

  xmin[0]=i*dx[0]/nx[0]; dx[0]/=nx[0]; nx[0]++;
  xmin[1]=j*dx[1]/nx[1]; dx[1]/=nx[1]; nx[1]++;
  xmin[2]=k*dx[2]/nx[2]; dx[2]/=nx[2]; nx[2]++;

  
  val=malloc(nx[0]*nx[1]*nx[2]*sizeof(float));
  
  N=nx[0]*nx[1]*nx[2];

  for (v=val,n=0;n<N;n++) fscanf(stdin,"%f",v++);

  fwrite(xmin,sizeof(float),3,stdout);
  fwrite(dx,sizeof(float),3,stdout);
  fwrite(nx,sizeof(int),3,stdout);
  fwrite(val,sizeof(float),n,stdout);

  return(0);
}


