      program bio2witcnt

c     Convert Biosym grid files to Wit!P grid files.
c     Usage:  bio2witcnt <biofile >witfile

      character*132 title
      integer ivary,nbyte,intdat,intx,inty,intz,i,j,k
      real*4 xext,yext,zext,xang,yang,zang,
     .     xstart,xend,ystart,yend,zstart,zend,v(100000)

      open(unit=5,form='unformatted')

      read(5) title
      read(5) ivary,nbyte,intdat,xext,yext,zext,xang,yang,zang,
     .     xstart,xend,ystart,yend,zstart,zend,intx,inty,intz

      xstart=xstart*xext
      ystart=ystart*yext
      zstart=zstart*zext

      xend=xend*xext
      yend=yend*yext
      zend=zend*zext

      call wrflt(xstart,1)
      call wrflt(ystart,1)
      call wrflt(zstart,1)

      call wrflt((xend-xstart)/intx,1)
      call wrflt((yend-ystart)/inty,1)
      call wrflt((zend-zstart)/intz,1)

      call wrint(intx+1,1)
      call wrint(inty+1,1)
      call wrint(intz+1,1)

      do i=1,intz+1
         do j=1,inty+1
            read(5) (v(k),k=1,intx+1)
            call wrflt(v(k),intx+1)
         end do
      end do

      end
