#include <stdio.h>
#include <stdlib.h>
#include <stddef.h>

int main()
{
  char rec[120],atna[10],resna[10],segid[10],dummy[10];
  float x,y,z,energy;
  int n,seq,resn,oresn,cnf;

  cnf=0; oresn=-999999;
  while (fgets(rec,119,stdin)) {
    if (*rec=='*') continue;
    n=sscanf(rec,"%d %d %s %s %f %f %f %s %s",
	     &seq,&resn,resna,atna,&x,&y,&z,segid,dummy);
    if (n==1) continue;
    if (n!=9) {
      fprintf(stderr,"bad record: %s\n",rec);
      return(1);
    }
    if (resn!=oresn) {
      sscanf(rec+60,"%f",&energy);
      fprintf(stdout,"Conformation %d Energy = %0.3f Status = MCSS\n",++cnf,energy);
      oresn=resn;
    }
    fprintf(stdout,
	    "%8.3f%8.3f%8.3f\n",x,y,z);
  }
  return(0);
}

