#include <stdio.h>
#include <stdlib.h>
#include <stddef.h>
#include <string.h>

#define TRUE 1
#define FALSE 0

int main(int argc,char **argv)
{
  char rec[120],atna[10],resna[10],segid[10],dummy[10],buf[256];
  float x,y,z;
  int n,seq,resn,i,ccld;

  ccld=FALSE;

  for (i=1;i<argc;i++) {
    if (!strcmp(argv[i],"-s")) ccld=TRUE;
    else {
      fprintf(stderr,"crd2pdb: unknown command line option %s\n",argv[i]);
      fprintf(stderr,"usage: crd2pdb [ -s ] < in_file\n");
      return(1);
    }
  }    

  while (fgets(rec,119,stdin)) {
    if (*rec=='*') continue;
    n=sscanf(rec,"%d %d %s %s %f %f %f %s %s",
	     &seq,&resn,resna,atna,&x,&y,&z,segid,dummy);
    if (n==1) continue;
    if (n!=9) {
      fprintf(stderr,"bad record: %s\n",rec);
      return(1);
    }
    if (ccld) {
      sprintf(buf," %-3s",atna); buf[4]='\0';
      fprintf(stdout,
	      "ATOM %6d %-4s %4s %4d    %8.3f%8.3f%8.3f  0.00  0.00      %s\n",
	      seq,buf,resna,resn,x,y,z,segid);
    }else{
      fprintf(stdout,
	      "ATOM %6d %-4s %4s %4d    %8.3f%8.3f%8.3f  0.00  0.00      %s\n",
	      seq,atna,resna,resn,x,y,z,segid);
    }
  }
  fprintf(stdout,"END\n");
  return(0);
}

