#include <stdio.h>
#include <string.h>
#include <stdlib.h>

static FILE *chan=(FILE *)NULL;

/*-------------------- open/close 'channel' --------------------*/
void wropu_(char *s)
{
  char *fn,file[4096];
  if (!chan) {
    fn = getenv(s);
    if(fn == NULL) strcpy(file,"map.wnp");
    else strcpy(file,fn);
    chan = fopen(file,"w");
  }else fprintf(stderr,"channel in use (file: %s)\n",file);
}

void wrclu_(char *s)
{
  if (!chan) fprintf(stderr,"file %s is not open.\n",s);
  if (chan)  fclose(chan);
  chan=(FILE *)NULL;
}

/*-------------------- write to open 'channel' --------------------*/

void wrintu_(int *item,int *count)
{
  if (chan) fwrite(item,sizeof(int),*count,chan);
}

void wrfltu_(float *item,int *count)
{
  if (chan) fwrite(item,sizeof(float),*count,chan);
}

/*-------------------- write to stdout... --------------------*/

void wrint_(int *item,int *count)
{
  fwrite(item,sizeof(int),*count,stdout);
}

void wrflt_(float *item,int *count)
{
  fwrite(item,sizeof(float),*count,stdout);
}
