#include <stdio.h>
#include "wnp.h"

#define ctrl(x) ((x)-64)

void WnpArrowKey(int key,int state)
{
  switch(key) {
  case WNP_LEFT_KEY:
    if (state==WNP_MOD_NONE) WnpAddKey(ctrl('B'),state);
    else if (state==WNP_MOD_ALT||state==WNP_MOD_CTRL+WNP_MOD_SHIFT) WnpChange3DSize(-1,0);
    else if (state==WNP_MOD_CTRL) WnpSetStereoMode(WNP_STEREO_LEFT);
    break;
  case WNP_RIGHT_KEY:
    if (state==WNP_MOD_NONE) WnpAddKey(ctrl('F'),state);
    else if (state==WNP_MOD_ALT||state==WNP_MOD_CTRL+WNP_MOD_SHIFT) WnpChange3DSize(1,0);
    else if (state==WNP_MOD_CTRL) WnpSetStereoMode(WNP_STEREO_RIGHT);
    break;
  case WNP_UP_KEY:
    if (state==WNP_MOD_NONE) WnpAddKey(ctrl('P'),state);
    else if (state==WNP_MOD_ALT||state==WNP_MOD_CTRL+WNP_MOD_SHIFT) WnpChange3DSize(0,1);
    else if (state==WNP_MOD_SHIFT) WnpMsgScroll(-1);
    else if (state==WNP_MOD_CTRL) WnpSetStereoMode(WNP_STEREO_PREVIOUS);
    else if (state==WNP_MOD_CTRL+WNP_MOD_ALT) WnpAdjustAmbientLightIntensity(20);
    else if (state==WNP_MOD_CTRL+WNP_MOD_ALT+WNP_MOD_SHIFT) WnpAdjustLightIntensity(20);
    break;
  case WNP_DOWN_KEY:
    if (state==WNP_MOD_NONE) WnpAddKey(ctrl('N'),state);
    else if (state==WNP_MOD_ALT||state==WNP_MOD_CTRL+WNP_MOD_SHIFT) WnpChange3DSize(0,-1);
    else if (state==WNP_MOD_SHIFT) WnpMsgScroll(1);
    else if (state==WNP_MOD_CTRL) WnpSetStereoMode(WNP_STEREO_NO);
    else if (state==WNP_MOD_CTRL+WNP_MOD_ALT) WnpAdjustAmbientLightIntensity(-20);
    else if (state==WNP_MOD_CTRL+WNP_MOD_ALT+WNP_MOD_SHIFT) WnpAdjustLightIntensity(-20);
    break;
  default: break;
  }
}
