#include <stdlib.h>
#include <string.h>

#define granu 256

static int Ndef=0;
static int Maxdef=0;

static char **Env;

int WnpSetenv(char *def)
{
  int i,l,s;
  char *old,*new,**copy,*cptr;

  /* accepts string of the form variable=definition, and puts it into the environment */
  /* copies of 'def' are needed, because putenv requires data to be static...         */
 
  cptr=strchr(def,'=');
  if (cptr) l=cptr-def;
  else l=strlen(def);

  for (old=(char *)NULL,i=0;i<Ndef&&!old;i++) {
    if (strncmp(Env[i],def,l)==0) if (Env[i][l]=='=') old=Env[i];
  }

  new=strdup(def);
  if (!new) return(1);
  s=putenv(new);
  if (s) return(s);

  if (old) {
    free(old);
    Env[i-1]=new;
  }else{
    if (Ndef<Maxdef) {
      Env[Ndef++]=new;
    }else{
      copy=(char **)malloc((Maxdef+granu)*sizeof(char *));
      if (!copy) {
	free(new);
	return(1);
      }else{
	Maxdef=Maxdef+granu;
	for (i=0;i<Ndef;i++) copy[i]=Env[i];
	free(Env);
	Env=copy;
	Env[Ndef++]=new;
      }
    }
  }
  return(0);
}
