c
c   Parameters for bonds, Coulomb, and van der Waals interactions
c
        real    al(matype,matype)               ! sigma-bondlength
        real    bl(matype,matype)               ! length correction (pi)
        real    bk(matype,matype)               ! K for beta (PIMM)
        real    ybeta                           ! y of Form 44 QC-3 p. 154
        real    pk2(matype,matype)              ! parameter for bondlength-
        real    pk4(matype,matype)              ! force constant
        real    pk6(matype,matype)              !   "      "
        real    ppiz(matype,matype)             ! f.c. sigma-torsion
        real    ppit(matype,matype)             ! f.c. pi-torsion
        real    ptt(matype,matype)              ! f.c. pi-torsion (strain)
        integer kttype(matype,matype)           ! type of torsion potential
        real    avdw(matype,matype)             ! Giglio parameter a
        real    bvdw(matype,matype)             ! Giglio parameter b
        real    cvdw(matype,matype)             ! Giglio parameter c
        integer dvdw(matype,matype)             ! Giglio parameter d
        real    de(matype,matype)               ! Bondenergy (sigma)
        real    ame(matype,matype)              ! Morseconstant for sigmabonds
        real    dielc                           ! Dielectric constant (1=vac.)
c
        common /bpara/ al,bl,ybeta,bk,pk2,pk4,pk6,ppiz,ppit,ptt,
     *                 avdw,bvdw,cvdw,dvdw,de,ame,kttype,dielc
