      subroutine egcons(x,e,gr)
c     
c     Compute constraint energy 'e' for the molecule whose coordinates
c     are stored in x (n atoms). At the same time the gradient resulting from
c     the constraint potentials will be added to 'gr'.
c     
      implicit none
      include 'sizes.h'
      include 'energy.h'
      real    x(3,*),gr(3,*),e
c     
c     Initialize energy
c     
      e=0.0
      if (ncon.gt.0) call egcondi(x,e,gr)
      if (ncond.gt.0) call egconto(x,e,gr)
c     
c     done...
c     
      return
      end
