      subroutine molwr(nout)
c     **********************
c     
c     write new generation of sybyl.mol file with variables of
c     common block 'sybcom'
c     
      implicit none
      include 'sybcom.h'
c     
      integer nout,ichrg(5),i,j,nftch,nft
      real val1,val2
c     
c     write atom records:
c     
      write(nout,2000) nat1,molnam,filnam,iroot
 2000 format(i4,' MOL',10x,a,1x,a,1x,i4)
      do i = 1,nat1
         write(nout,2010) i,natp(i),(xyz(j,i),j=1,3),natlab(i)
 2010    format(2i4,3f9.4,a)
      end do
c     
c     write bond records:
c     
      write(nout,2015) nbond
 2015 format(i4,' MOL')
      do i = 1,nbond
         write(nout,2020) i,nbnd(1,i),nbnd(2,i),nbndtp(i)
 2020    format(3i4,9x,i4)
      end do
c     
c     write feature records:
c     
      nftch = 0
      if(chfl) nftch = (nat1-1)/5+1
      if(nftch.eq.1) nftch=2
      nft = nftch + nfta 
      write(nout,2015) nft
      if(nfta.ne.0) then
         do i = 1,nfta
            write(nout,'(a)') ftlin(i)
         end do
      end if
      if(nftch.eq.0) return
c     
      do i = 1,nftch
         if(i.eq.1) then
            val1 = nat1
            val2 = 0.0
         else if(i.eq.2) then
            val1 = chgmet
            val2 = 0.0
         else
            val1 = 0.0
            val2 = 0.0
         end if
         do 25 j = 1,5
            ichrg(j) = nint(10000.0*chrg(5*(i-1)+j))
 25      continue
         write(nout,2030) (ichrg(j),j=1,5),val1,val2
 2030    format('   4',5i6,2f8.4)
      end do
c     
      return
      end
