c
c   Options, switches, control parameters...
c
        integer negr            ! max number of function calls
        integer mxscf           ! max number of iterations per SCF cycle
        integer nenout          ! energyprintout each nenout-th iteration
        real    agr             ! accuracy of gradient
        real    deexp           ! init. energy decrease (expected)
        real    ascf            ! required accuracy of SCF
        logical scfcon          ! SCF converged ?
        logical mmcon           ! MM converged ?
        logical flexible        ! use flexible bond method ?
        logical fragment        ! use rigid fragment method ?
        logical check_bonds     ! check number of bonds to atoms ?
        integer ncalls          ! number of function calls
        integer method          ! method used for energy minimization
        integer mcyc            ! max. number of MM/SCF cycles
        real    allcnv          ! convergence criterion (kJ/mole)
        character molfile*40    ! name of molecule file
        logical do_scf          ! shall we do an SCF ?
        logical scf_out         ! output of eigenvectors/eigenvalues ?
        logical no_output       ! omit output to .DAT ?
        integer nscf            ! number of SCF cycles
        logical interact        ! interactive mode
c
        common /option/ negr,mxscf,nenout,agr,deexp,ascf,scfcon,
     *                  mmcon,ncalls,method,flexible,fragment,
     *                  mcyc,allcnv,check_bonds,do_scf,scf_out,
     *                  no_output,nscf,interact
c
        common /coptn/ molfile
