      subroutine handpick
c
      implicit none
      include 'sizes.h'
      include 'moldat.h'
      include 'options.h'
      include 'bounds.h'
c
      integer i,j,k,l,iter,ip,jp
      real*8 gap,cut
      real*8 randomf
c
      if (max_pick.lt.1) return
      gap=0
      do i=1,nat-1
         do j=i+1,nat
            if (bounds(i,j)-bounds(j,i).gt.gap) then
               gap=bounds(i,j)-bounds(j,i)
               ip=i
               jp=j
            endif
         end do
      end do
      iter=0
      do while (iter.lt.max_pick.and.gap.gt.thresh_gap) 
         bounds(ip,jp)=bounds(jp,ip)+
     .              gap*(extfact+(1-extfact)*randomf())
         bounds(jp,ip)=bounds(ip,jp)
         call tighten
         gap=0
         do i=1,nat-1
            if (bounds(i,j)-bounds(j,i).gt.gap) then
               gap=bounds(i,j)-bounds(j,i)
               ip=i
               jp=j
            endif
         end do
         iter=iter+1
      end do
c
      return
      end

