# Generate ProvideHelp function from text file.

BEGIN {
  if (name=="") name="ProvideHelp";
  gsub(/^.*\//,"",name);
  print "#include <stdio.h>"
  print ""
  print "void " name "(void)";
  print "{";
  print "   fprintf(stderr,\"\\n\"";
}

{
  if (NR%10==0) {
    print "   );";
    print "   fprintf(stderr,";
  }
    
  gsub(/"/,"\\\"");
  print "    \"" $0 "\\n\""
}


END {
  print "   \"\\n\");"
  print "}"
}
