      program sodgeom
c
      implicit none
      include 'sizes.h'
      include 'moldat.h'
      include 'options.h'
c
      integer i,n,m,s,read_maccs,read_vec,domol,str_len,tm,ts,th,t
      real etime,dtime,tim(2)
      logical svx
c
      call setoptions
c
c Do search...
c
      n=0
      s=0
      t=dtime(tim)
      do while (s.eq.0) 
         s=read_maccs(5)
         if (s.eq.0) then
            n=n+1
            m=0
            call anal
            svx=usexy
            do i=1,max_str
               m=m+domol(6)
            end do
            usexy=svx
            if (vlev.gt.0) then
               write(0,'(1x,a,i4,a,i4,a,f6.2,a)') 
     .              hdr(1)(1:str_len(hdr(1)))//' : ',
     .              m,' good structures, out of ',max_str,
     .              ',   Time : ',dtime(tim),' seconds'
            end if
         else if (s.eq.4) then
            write(0,'(1x,a,i4,a,i4,a)') 
     .           hdr(1)(1:str_len(hdr(1)))//' : ',
     .           0,' good structures, bad entry skipped.'
            s=0  ! recover...
         end if
      end do
      if (s.ne.2) then
         write(0,'(a)') ' *** error reading file'
      end if
      go to 1000
c
 1000 continue
      if (vlev.gt.0) then
         t=etime(tim)+0.5
         th=t/3600
         t=mod(t,3600)
         tm=t/60
         ts=mod(t,60)
         write(0,'(a,i3,a,i3,a,i3,a)') 
     .        ' DISG: Total time = ',th,'h',tm,'m',ts,'s'
      end if
      end
