@echo off
setlocal

:: set to 1, to tell Wit!P that it was called from DOS script
set WNPINDOS=1

:: Keep a pointer to where we started
set WNP_STARTDIR=%cd%

:: Keep a pointer to the user's home directory
set WNP_USERDIR=%HOMEDRIVE%%HOMEPATH%

:: Find the root of the Wit!P installation
set WNP_ROOT=%~pd0
set WNP_ROOT=%WNP_ROOT:~0,-1%

:: Find a Cygwin installation, or use mini-Cygwin from %WNP_ROOT%\sys
call %WNP_ROOT%\findCygwin 2> nul
if defined CYG_ROOT (
  set WNP_CYGBIN=%CYG_ROOT%\bin
) else (
  set WNP_CYGBIN=%WNP_ROOT%\sys
)

:: Add Wit!P bin and sys directories to executables path
set PATH=%WNP_ROOT%\bin;%WNP_CYGBIN%;%SystemRoot%\system32

:: Do not allow start in root directory of installation
if "%WNP_STARTDIR%" EQU "%WNP_ROOT%" (
   cd "%WNP_USERDIR%"
   setlocal 
   for /F "tokens=1 usebackq" %%x in ( `cd` ) do (
      echo started in %WNP_STARTDIR%, changed directory to %%x
   )
   endlocal
)

:: Launch Bourne (again) Shell
bash.exe
endlocal
