@echo off
:: Find the root of the Wit!P installation
set WNP_ROOT=%~pd0
set WNP_ROOT=%WNP_ROOT:~0,-1%

:: Find a Cygwin installation, or use mini-Cygwin from %WNP_ROOT%\sys
call %WNP_ROOT%\findCygwin 2> nul

if defined CYG_ROOT (
  if exist %CYG_ROOT%\bin\sw_client.exe (
    set CYG_ROOT=%WNP_ROOT%
    set WNP_CYGBIN=%WNP_ROOT%\sys
  ) else (
    set WNP_CYGBIN=%CYG_ROOT%\bin
  )
) else (
  set WNP_CYGBIN=%WNP_ROOT%\sys
)

%WNP_CYGBIN%\mount -b -u "%TEMP%" /tmp 2>/nul

setlocal
:ask
set ok=0
set default=left
set /P mouse="mouse pick is left/right? [%default%] "
if not defined mouse set mouse=%default%
if %mouse:~0,1% == r ( set mouse=right & set ok=1 )
if %mouse:~0,1% == R ( set mouse=right & set ok=1 )
if %mouse:~0,1% == l ( set mouse=left  & set ok=1 )
if %mouse:~0,1% == L ( set mouse=left  & set ok=1 )
if %ok% == 0 goto ask:

reg add HKCU\Software\witnotp\env /v MousePick /d %mouse% /f >nul
reg add HKLM\Software\Classes\witnotp /v EditFlags /t REG_DWORD_LITTLE_ENDIAN /d 0x00010000 /f >nul
reg add HKLM\Software\Classes\witnotp /v AlwaysShowExt /f >nul
reg add HKLM\Software\Classes\witnotp /v BrowserFlags /t REG_DWORD_LITTLE_ENDIAN /d 0x00000008 /f >nul
reg add HKLM\Software\Classes\witnotp\DefaultIcon /ve /d "%WNP_ROOT%\witnotp.ico,0" /f  >nul
reg add HKLM\Software\Classes\witnotp\shell /ve /d "open" /f  >nul

for %%x in ( "%WNP_ROOT%" ) do (
  set short=%%~sx
)
reg add HKLM\Software\Classes\witnotp\shell\open\command /ve /d "%short%\witnotp.cmd ""%%1""" /f >nul

reg add HKCR\.wnp /ve /d witnotp /f >nul
endlocal
