{!Standard Minimization protocol with Fixed Atoms List and Restraints}
{!distance dependent dielectric 2*r}
{!fixed atom list generation (list may be empty)}
{!minimize using conjugate gradient, no morse, no cross}
      overlap = 0.01
      nrneib = 20 
      cutdis = {? float "Cutoff (on): " 12}
      cutoff = {? float "Cutoff (off): " 14} 
      swtdis = 2.0

      begin simulation
     *    add-automatic bond torsion valence out-of-plane
      reduce
 
      set dielectric = 2*r

      {? fixed "fixed atoms: "}

      constrain

      minimize for {? int "Iterations: " 1000} iterations 
     *      using conjugate gradient
     *      no morse no cross
      end
