#include <stdio.h>
#include <math.h>
#include "object.h"
#include "swdef.h"
#include "mystdlib.h"
#include "parser.h"
#include "transpor.h"
#include "strutil.h"

extern int graphix;
extern int command_level;

#define TRUE 1
#define FALSE 0

#define key_is(a) (streq(a,key->key))

int cmd_exit(void)
{
  Token *key;
  int terminate;
  
  if (command_level==1) { 
    key=Get_Kwd("confirm: ",";","yes");
    if (key->status == TOK_OK) {
      wnpRPCshutdown();
      send_header(graphix,"EXIT",0);
      terminate=TRUE;
    }else{
      terminate=FALSE;
    }
    free_Token(key);
  }else{
    command_level--;
    terminate=TRUE;
  }
  return(terminate);
}
