#include <stdio.h>
#include <math.h>
#include "object.h"
#include "swdef.h"
#include "mystdlib.h"
#include "parser.h"
#include "transpor.h"
#include "strutil.h"
#include "errhand.h"

extern int graphix;

#define TRUE 1
#define FALSE 0

#define key_is(x) (streq(key->key,x))

static char *modes="cEPS EPS HP7500 setenv";

void cmd_plot(void)
{
  Token *key;
  char buff[512],*spath;

  key=Get_Kwd("mode: ",";",modes);
  if (key->status == TOK_OK) {
    if (!key_is("setenv")) {
      spath=getenv("wnp_spath"); if (!spath) spath="";
      sprintf(buff,"PLOTserver=%ssw_plot -d%s",spath,key->key);
      send_bmessage(graphix,"SENV",strlen(buff),buff);
    }
    send_header(graphix,"PLOT",0);
  }else if (key->status==TOK_NOK) {
    err_set(1,"bad plot mode: %s",key->text);
  }
  free_Token(key);
}
