#ifndef GSEALDEF
#define GSEALDEF

typedef struct {
  float *X1,*X2;
  int *T1,*T2;
  float alpha;
  int n1,n2;
} gseal_par_t;


float gsealValue(int n1,float *X1,int *T1,int n2,float *X2,int *T2,float alpha);
float gsealBestFit(int niter,float *t,float *dt,float *e,float *de,gseal_par_t *P);

#endif
