#ifndef LISTDEF
#define LISTDEF

typedef struct ListEntry {
  struct ListEntry *prv,*nxt;
  void *data;
}ListEntry;

ListEntry *make_list_entry(int size,void (*init_data)(void *data));
ListEntry *delete_list_entry(ListEntry *e,void (*delete_data)(void *data));
ListEntry *insert_list_entry(ListEntry *e);
ListEntry *append_entry_to_list(ListEntry *e,ListEntry *h);
ListEntry *remove_list_entry(ListEntry *e);
ListEntry *delete_list_entries(ListEntry *e,void (*delete_data)(void *data));
ListEntry *delete_list(ListEntry *e,void (*delete_data)(void *data));
int        n_entries(ListEntry *e);
#endif
