/*   menu.c   */

#include <stdio.h>
#include "object.h"
#include "swdef.h"
#include "strutil.h"
#include "transpor.h"

extern int graphix;

static void lmbutton(int nxt,int len,char *text)
{
    send_bheader(graphix,"LDBT",sizeof(int)+len);
    nxt=SGI_i(nxt);
    send_bdata(graphix,sizeof(int),(char *)&nxt);
    send_bdata(graphix,len,text);
}

int load_menu_buttons(int nxt,char *text)
{
    int n,i;
    Parse p;
    char quoted[4096];

    p.buf=text;
    p.tok=(char *)NULL;
    p.sep="\0";
    p.pos=0;

    n=0;
    while (get_token(&p)) {
      if (!strncmp(p.tks,"h!",2)) {     /* hidden button */
	continue;
      }else if (!strncmp(p.tks,"t!",2)||!strncmp(p.tks,"T!",2)) {
	if (SrvVersion()>1.9) {           /* needs at least version 2 of server */
	  strncpy(quoted+1,p.tks,p.ltok);
	  quoted[0]='"'; quoted[p.ltok+1]='"'; quoted[p.ltok+2]='\0';
	  lmbutton(nxt+n,p.ltok+2,quoted);
	  n++;
	  if (!strncmp(p.tks,"T!",2)) { /* underlined... */
	    for (i=0;i<p.ltok-2;i++) quoted[3+i]='-';
	    lmbutton(nxt+n,p.ltok+2,quoted);
	    n++;
	  } 
	} 
      }else{
	lmbutton(nxt+n,p.ltok,p.tks);
	n++;
      }
    }
    trflush(graphix);
    return(n);		
}

void clear_menu(void)
{
    send_header(graphix,"CLMN",0);
}

void clear_menu_button(int i)
{
    i=SGI_i(i);
    send_message(graphix,"CLBT",sizeof(int),(char *)&i);
}

void refresh_menu(void)
{
    send_header(graphix,"RFMN",0);
}
