#ifndef NMRDEF
#define NMRDEF

#include "object.h"
#include "parser.h"

typedef struct nmrPeakList {
  char *filename;
  int dim;
  int npeaks;
  struct nmrPeak **peak;
}nmrPeakList;

typedef struct nmrPeak {
  int nr;
  float *pt;
  float *p2;
  int *p3;
  char **asg;
  float w;
} nmrPeak;

Token *Get_NMRStructures(Mol *NmrRoot,char *prmt,char *prefix,int wait_flag);
nmrPeakList      EmptyNmrPeakList(void);
nmrPeakList      release_nmrPeakList(nmrPeakList L);
nmrPeakList     *new_nmrPeakList(void);
nmrPeak         *new_nmrPeak(int dim);
nmrPeak         *free_nmrPeak(nmrPeak *p,int dim);

#endif

