#ifndef STRUCTALDEF
#define STRUCTALDEF

#include "object.h"
#include "salign.h"
#include "gcalc.h"

int algBestStructal(int m,Atom **T,SAlires *TA,int n,Atom **S,SAlires *SA,
		    float cutoff,mat_4 *Trab,int *npb,float *rmsb);
int algGerstein (int m,Atom **t,SAlires *TA,int n,Atom **s,SAlires *SA,
		 float cutoff,mat_4 *Tra,int *np,float *rmsd);
int algStructal (int m,Atom **T,SAlires *TA,int n,Atom **S,SAlires *SA,
		 float cutoff,mat_4 *Tra,int *np,float *rmsd);
int algReduce(int m,Atom **T,SAlires *TA,int n,Atom **S,SAlires *SA,
	      float cutoff,mat_4 *Tra,int *sa,float *rmsd);
int algExpand(int m,Atom **T,SAlires *TA,int n,Atom **S,SAlires *SA,
	      float cutoff,mat_4 *Tra,int *np,float *rmsd);
int setupAlignment(int m,SAlires *TA,int n,SAlires *SA,char *method);

float normalizedRMS(int n, float rms);

void SetStructalResCompare(char *how);

void SetStructalGapPenalty(float o,float e);
void GetStructalGapPenalty(float *o,float *e);

float GetGersteinGapPenalty(void);
void  SetGersteinGapPenalty(float factor);

float GetGersteinCompare5Factor(void);
void  SetGersteinCompare5Factor(float factor);
void  SetStructalMode(char *mode,int n);

#endif
