#ifndef TOKENDEF
#define TOKENDEF

/*   Definition of parsing structure */

typedef struct {
	char *buf;         /*  input buffer (in) */
	int   pos;         /*  offset of next char in buf (in/out) */
	char *sep;         /*  list of separators (in) */
	int   ltok;        /*  length of token (out) */
	int   mts;         /*  size of token buffer (in) */
	char *tok;         /*  buffer address for token (in) */
	char *tks;         /*  pointer to start of token in buf (out) */
	char  term;        /*  token terminator (out) */
	int   quoted;      /*  quoted token flag (out) */
} Parse;

/*-------------------- prototypes and macros --------------------*/

int     get_token(Parse *p);
char   *token(Parse *p);

#endif
