c     Atomic parameters (from ATOM_DEF file)
c     
      character*8 amnem(matype)     ! atom type mnemonic (first 8 chars)
      character*8 equiv(matype)     ! equivalent type mnemonic (first 8 chars)
      character*2 hets(matype)      ! chemical symbol
      integer n_atype               ! number of defined types
      integer n_ljtype              ! number of LJ types
      integer atomic_n(matype)      ! atomic number
      logical hbd(matype)           ! H-bond donor
      logical hba(matype)           ! H-bond acceptor
      logical oopcent(matype)       ! center of oop ?
      real*8  koop(matype)          ! forceconstant for oop
      real*8  rvdw(matype)          ! vdw radius
      real*8  apol(matype)          ! atomic polarizability
      real*8  epsil(matype)         ! vdw epsilon
      real*8  vaij(matype,matype)   ! vdw coefficients 12
      real*8  vbij(matype,matype)   ! vdw coefficients 6
      real*8  vcij(matype,matype)   ! vdw shifting coefficients
      real*8  vdij(matype,matype)   ! vdw shifting constant
      real*8  rvdw14(matype)        ! vdw radius (1-4)
      real*8  apol14(matype)        ! atomic polarizability (1-4)
      real*8  epsil14(matype)       ! vdw epsilon (1-4)
      real*8  vaij14(matype,matype) ! vdw coefficients 12 (1-4)
      real*8  vbij14(matype,matype) ! vdw coefficients 6 (1-4)
      real*8  vcij14(matype,matype) ! vdw shifting coefficients (1-4)
      real*8  vdij14(matype,matype) ! vdw shifting constant(1-4)
      integer etype(matype)         ! equivalent type index 
      integer old_type(matype)      ! SYBYL 3.x numeric atom type
c     
      common /apara/
     .     koop,rvdw,apol,epsil,vaij,vbij,vcij,vdij,
     .     rvdw14,apol14,epsil14,vaij14,vbij14,
     .     vcij14,vdij14,
     .     n_atype,n_ljtype,atomic_n,old_type,etype,
     .     hbd,hba,oopcent
c     
      common /apara_c/ amnem,equiv,hets
c     
c     Bond parameters (from BOND_DEF file)
c     
      character*8 bmnem(mbtype) ! bond type mnemonic
      integer n_btype           ! number of known bond types
      integer bnd_id(mbtype)    ! numeric value of bond type
      logical chem_bnd(mbtype)  ! is it a chemical bond ?
c     
      common /bpara/
     *     n_btype,bnd_id,chem_bnd
      common /bpara_c/
     *     bmnem
