c     
c     OPTION.FPF
c     
c     Options, switches, control parameters...
c     
      integer negr              ! max number of function calls
      integer nenout            ! energyprintout each nenout-th iteration
      real*8  agr               ! accuracy of gradient
      real*8  deexp             ! init. energy decrease (expected)
      logical mmcon             ! MM converged ?
      integer ncalls            ! number of function calls
      integer maxrestart        ! max. number of restarts of minimizer
      integer method            ! minimization method to be used
      character molfile*132     ! name of molecule file 
      character constr_file*132 ! name of constraints file
      character ff_tab_dir*132  ! directory that has FF tables...
      character psf_file*132    ! name of topology file (charmm)
      character prm_file*132    ! name of parameter file (charmm) 
      character xrq_file*132    ! name of xrq output file
      real*8  diel              ! dielectricity constant
      logical diel_const        ! constant/dist dependent dielectricity
      real*8  cutoff            ! non-bonded cut-off
      real*8  cutswr            ! switching distance
      real*8  cutmrg            ! margin for nb-list
      logical vshift            ! use shifting for vdw cutoff
      logical vswitch           ! use switching for vdw cutoff
      logical eshift            ! use shifting for coulomb cutoff
      logical eswitch           ! use switching for coulomb cutoff
      logical save              ! save mol to file after report ?
      logical xout              ! 'special' output to stdout
      integer nproc             ! number of processors
      real*8  hbscale           ! scale factor for vdW in HBonds
      logical pres_chiral       ! add preserve_chirality constraints ?
      character fftype*8        ! type of force field (taff, charmm,... )
      integer nbxmod            ! non-bond exclusion mode (for charmm)
      real*8  e14fac            ! factor for 1-4 electrostatics (nbxmod=5)
      real*8  scnb              ! scale for 1-4 non-bonded (Amber)
      real*8  scee              ! scale for 1-4 coulomb (Amber)
c     
      common /option/ agr,deexp,diel,cutoff,cutswr,cutmrg,
     .     hbscale,e14fac,scnb,scee,ncalls,method,negr,nenout,nproc,
     .     diel_const,save,mmcon,xout,pres_chiral,nbxmod,
     .     eshift,eswitch,vshift,vswitch,maxrestart
      common /coptn/ molfile,ff_tab_dir,constr_file,psf_file,fftype,
     .     prm_file,xrq_file
