      subroutine psort(n,p)

c Sorts list of n exclusion pairs in p via heapsort.
c Arguments:
      integer n,p(2,*)
c Local:
      integer i,j,l,m,h(2)

      if (n.gt.1) then
         l=n/2+1
         m=n
         do while (.true.)
            if (l.gt.1) then
               l=l-1
               h(1)=p(1,l)
               h(2)=p(2,l)
            else
               h(1)=p(1,m)
               h(2)=p(2,m)
               p(1,m)=p(1,1)
               p(2,m)=p(2,1)
               m=m-1
               if (m.eq.1) then
                  p(1,1)=h(1)
                  p(2,1)=h(2)
                  return
               end if
            end if
            i=l
            j=l+l
            do while (j.le.m)
               if (j.lt.m) then
                  if (p(1,j).lt.p(1,j+1).or.
     .                 (p(1,j).eq.p(1,j+1).and.
     .                 p(2,j).lt.p(2,j+1))) j=j+1
               end if
               if (h(1).lt.p(1,j).or.
     .              (h(1).eq.p(1,j).and.h(2).lt.p(2,j))) then
                  p(1,i)=p(1,j)
                  p(2,i)=p(2,j)
                  i=j
                  j=j+j
               else
                  j=m+1
               end if
            end do
            p(1,i)=h(1)
            p(2,i)=h(2)
         end do
      end if
      return
      end
