      subroutine reduce
c     
c     Remove constant terms from energy function
c     
      implicit none
#include "sizes.h"
#include "energy.h"
c     
      integer i,j,k
c     
      k=0
      do i=1,nbnd
         if (agg(bnd(1,i)).eq.0.or.agg(bnd(1,i)).ne.agg(bnd(2,i))) then
            k=k+1
            bnd(1,k)=bnd(1,i)
            bnd(2,k)=bnd(2,i)
            bndt(k)=bndt(i)
            bndl0(k)=bndl0(i)
            kbnd(k)=kbnd(i)
         end if
      end do
      nbnd=k
c     
      k=0
      do i=1,nang
         if (agg(ang(2,i)).eq.0.or.agg(ang(1,i)).ne.agg(ang(2,i))
     .        .or.agg(ang(1,i)).ne.agg(ang(3,i))) then
            k=k+1
            ang(1,k)=ang(1,i)
            ang(2,k)=ang(2,i)
            ang(3,k)=ang(3,i)
            angl0(k)=angl0(i)
            kang(k)=kang(i)
         end if
      end do
      nang=k
c     
      k=0
      do i=1,ntor
         if (agg(tor(1,i)).eq.0.or.agg(tor(1,i)).ne.agg(tor(2,i))
     .        .or.agg(tor(1,i)).ne.agg(tor(3,i))
     .        .or.agg(tor(1,i)).ne.agg(tor(4,i))) then
            k=k+1
            tor(1,k)=tor(1,i)
            tor(2,k)=tor(2,i)
            tor(3,k)=tor(3,i)
            tor(4,k)=tor(4,i)
            tort(k)=tort(i)
            tora(k)=tora(i)
            do j=1,ntortrm(i)
               tortp(j,k)=tortp(j,i)
            end do
            ntortrm(k)=ntortrm(i)
         end if
      end do
      ntor=k
c     
      k=0
      do i=1,npla
         if (agg(pla(1,i)).eq.0
     .        .or.agg(pla(1,i)).ne.agg(pla(2,i))
     .        .or.agg(pla(1,i)).ne.agg(pla(3,i))
     .        .or.agg(pla(1,i)).ne.agg(pla(4,i))) then
            k=k+1
            pla(1,k)=pla(1,i)
            pla(2,k)=pla(2,i)
            pla(3,k)=pla(3,i)
            pla(4,k)=pla(4,i)
            plad(k)=plad(i)
            pla0(k)=pla0(i)
            kpla(k)=kpla(i)
         end if
      end do
      npla=k
c     
      k=0
      do i=1,ncon
         if (agg(atcon(1,i)).eq.0
     .        .or.agg(atcon(1,i)).ne.agg(atcon(2,i))) then
            k=k+1
            atcon(1,k)=atcon(1,i)
            atcon(2,k)=atcon(2,i)
            dlow(k)=dlow(i)
            dhigh(k)=dhigh(i)
            kcon(k)=kcon(i)
         end if
      end do
      ncon=k
c     
      k=0
      do i=1,nconx
         if (agg(atconx(i)).ne.1) then
            k=k+1
            atconx(k)=atconx(i)
            tconx(k)=tconx(i)
            kconx(k)=kconx(i)
            uconx(k)=uconx(i)
            xconx(1,k)=xconx(1,i)
            xconx(2,k)=xconx(2,i)
            xconx(3,k)=xconx(3,i)
         end if
      end do
      nconx=k
c     
      k=0
      do i=1,ncona
         if (agg(atcona(1,i)).eq.0
     .        .or.agg(atcona(1,i)).ne.agg(atcona(2,i))
     .        .or.agg(atcona(1,i)).ne.agg(atcona(3,i))) then
            k=k+1
            atcona(1,k)=atcona(1,i)
            atcona(2,k)=atcona(2,i)
            atcona(3,k)=atcona(3,i)
            dlowa(k)=dlowa(i)
            dhigha(k)=dhigha(i)
            kcona(k)=kcona(i)
         end if
      end do
      ncona=k
c     
      k=0
      do i=1,nconp
         if (agg(atconp(1,i)).eq.0
     .        .or.agg(atconp(1,i)).ne.agg(atconp(2,i))) then
            k=k+1
            atconp(1,k)=atconp(1,i)
            atconp(2,k)=atconp(2,i)
            dtargp(k)=dtargp(i)
            dhigh(k)=dhigh(i)
            kconp(k)=kconp(i)
         end if
      end do
      nconp=k
c     
      k=0
      do i=1,ncond
         if (agg(atcond(1,i)).eq.0
     .        .or.agg(atcond(1,i)).ne.agg(atcond(2,i))
     .        .or.agg(atcond(1,i)).ne.agg(atcond(3,i))
     .        .or.agg(atcond(1,i)).ne.agg(atcond(4,i))) then
            k=k+1
            atcond(1,k)=atcond(1,i)
            atcond(2,k)=atcond(2,i)
            atcond(3,k)=atcond(3,i)
            atcond(4,k)=atcond(4,i)
            dlowd(k)=dlowd(i)
            dhighd(k)=dhighd(i)
            kcond(k)=kcond(i)
         end if
      end do
      ncond=k
c     
      k=0
      do i=1,nconc
         if (agg(atconc(1,i)).eq.0
     .        .or.agg(atconc(1,i)).ne.agg(atconc(2,i))
     .        .or.agg(atconc(1,i)).ne.agg(atconc(3,i))
     .        .or.agg(atconc(1,i)).ne.agg(atconc(4,i))) then
            k=k+1
            atconc(1,k)=atconc(1,i)
            atconc(2,k)=atconc(2,i)
            atconc(3,k)=atconc(3,i)
            atconc(4,k)=atconc(4,i)
            volmin(k)=volmin(i)
            kconc(k)=kconc(i)
         end if
      end do
      nconc=k
c     
      return
      end
