      real*8 function rmsgrad(nat,force,gmax)
c
      implicit none
      integer nat
      real*8  force(3,nat)
      real*8  rms,f,gmax
      integer i,k,n
c     
c     Convert forces to mdyn and compute rms and max
c     
      rms=0.0
      gmax=0.0
      do i=1,nat
         do k=1,3
            f=-6.947805*force(k,i)*1.0D-3
            if (f.gt.gmax) gmax=f
            rms=rms+f**2
         end do
      end do
      rmsgrad=sqrt(rms/(3*nat))
      return
      end
