      integer matype,mbtype,matot,mwork,mbtot,mantot,mplane,
     .     mconst,mconstd,mtotot,mxnbnd,mxexcl,mxproc,
     .     mwork2,mxnft,mconstc,mconstp,mconsta,mxft,mtotyp
c     
c     Definition of array dimensions:
c     
c     Note: size of workspace must be at least 15 * number of atoms 

#ifdef USEOMP
      parameter (matot=60000)   ! max. number of atoms (total)
      parameter (mwork=1 500 000) ! size of workspace
      parameter (mxproc=20)     ! number of processors
#else 
      parameter (matot=60000)   ! max. number of atoms (total)
      parameter (mwork=1 500 000) ! size of workspace
      parameter (mxproc=1)      ! number of processors
#endif
      parameter (matype=100)    ! number of atom types
      parameter (mbtype=15)     ! number of bond types
      parameter (mxnft=2000)    ! number of old-mol features
      parameter (mtotyp=5000)   ! number of torsion types
      parameter (mxft=5)        ! number of terms in fourier expansion of tors.pot.
c     
c     Definition of dependent parameters:
c     
      parameter (mbtot=(5*matot)/4) ! max. number of bonds
      parameter (mantot=2*mbtot) ! max. number of bondangles
      parameter (mtotot=3*mbtot) ! max. number of torsionangles
      parameter (mplane=mtotot)  ! max. number of planes / impropers
      parameter (mxexcl=(mbtot+mantot+mtotot+1)/2) ! number of exclusions
      parameter (mconst=matot)   ! max. number of dist. constraints
      parameter (mconsta=matot)  ! max. number of angle constraints
      parameter (mconstp=matot)  ! max. number of xy-proj. constr.
      parameter (mconstd=matot)  ! max. number of dihed. constr.
      parameter (mconstc=matot)  ! max. number of chirality constraints
      parameter (mwork2=2*mwork) ! I workspace
