      logical function topol()
c
c     Driver for force field dependend topol routines
c
      implicit none
#include "option.h"
      logical topol_charmm,topol_taff,topol_amber
c
      if (fftype.eq.'CHARMM') then
         topol=topol_charmm()
      else if (fftype.eq.'TAFF') then
         topol=topol_taff()
      else if (fftype.eq.'AMBER') then
         topol=topol_amber()
      else 
         topol=.FALSE.
      end if
c
      return
      end

c------------------------------------------------------------------------
      integer function insert_excl(nin,pairs,nobj,ptr,excl)
c
      implicit none
c
      integer nin,pairs(2,*),nobj,ptr(0:*),excl(*)
      integer i,j,k,nout
      integer excmp
      external excmp
c
c sort and store exclusion list...
c
      do k=1,nin       !      swap (i,j) if (i.lt.j)
         if (pairs(1,k).lt.pairs(2,k)) then
            j=pairs(1,k)
            pairs(1,k)=pairs(2,k)
            pairs(2,k)=j
         end if
      end do
      call psort(nin,pairs)
      i=0
      nout=0
      do k=1,nin
         if (pairs(1,k).gt.i) then
            do j=i,pairs(1,k)-1
               ptr(j)=nout
            end do
            i=pairs(1,k)
            nout=nout+1
            excl(nout)=pairs(2,k)
         else
            if (pairs(2,k).ne.excl(nout)) then
               nout=nout+1
               excl(nout)=pairs(2,k)
            end if
         end if
      end do
      do j=i,nobj
         ptr(j)=nout
      end do
      insert_excl=nout
      return
      end
