      subroutine write_xrq(filename)
c
c  Write file with one line per atom (ignoring dummies):
c  seqnr, fftype, name, resid, resnum, segid, aggregate, x,y,z, r, q
c  The file will only be written if the filename is not ' '.
c
      implicit none
#include "sizes.h"
#include "apara.h"
#include "atom.h"
#include "option.h"
#include "energy.h"
      character*(*) filename,seg*4
      integer i,j,t,l,str_len
c
      if (filename.eq.' ') return
c
      call unlink(filename)
      open(unit=23,file=filename,status='new',err=8001)
      do i=1,nat
         t=ntype(i)
         seg='----'
         if (segid(i).ne.' ') seg=segid(i)
         write(23,'(i5,1x,a8,1x,4a5,1x,i3,3f11.5,f8.3,1x,f8.5)',
     .        err=8002)
     .        i,amnem(t),name(i),resid(i),resnr(i),seg,
     .        agg(i),(xyz(j,i),j=1,3),rvdw(t),chrg(i)
      end do
c
      close(unit=23)
      return
 8001 continue
      l=str_len(filename)
      write(6,'(2a)') 'ERROR : failed to open file ',filename(1:l)
      return
 8002 continue
      l=str_len(filename)
      write(6,'(2a)') 'ERROR : writing file ',filename(1:l)
      return
c
      end
