#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#define MAXA 25001
#define MAXBUF 512

int main(int argc,char **argv)
{
  FILE *in;

  float x[MAXA][3],X[3];
  char rec[MAXBUF],fld[20];
  int k,n,a,o;

  if (argc<2) {
    fprintf(stderr,"usage: ms2dot <filename>\n");
    return(21);
  }

  n=0;
  in=fopen(argv[1],"r");
  if (in) {
    while (fgets(rec,MAXBUF,in)) {
      if (n>=MAXA-1) break;
      n++; sscanf(rec,"%f %f %f",x[n],x[n]+1,x[n]+2);
    }
    fclose(in);
    o=0;
    while (fgets(rec,MAXBUF,stdin)) {
      strncpy(fld,rec,5); fld[5]='\0';
      a=atoi(fld);
      if (a>0 && a<=n) {
	if (a>o) {
	  o=a;
	  fprintf(stdout,"ATOM %10.3f %10.3f %10.3f\n",
		  x[o][0],x[o][1],x[o][2]);
	}
	if (a==o) {
	  for (k=0;k<3;k++) {
	    strncpy(fld,rec+k*9+17,9); fld[9]='\0'; 
	    X[k]=atof(fld); 
	  }
	  fprintf(stdout,"DOT  %10.3f %10.3f %10.3f\n",
		  X[0],X[1],X[2]);
	}
      }
    }
  }else{
    fprintf(stderr,"could not open %s for read\n",argv[1]);
    return(22);
  }
  return(0);
}
