#ifndef WNPXDEF
#define WNPXDEF

/* ---------------------------- X11 dependent definitions ------------------------------*/

#include <X11/Intrinsic.h>

/* ---------------------------- Callbacks and Workprocs ---------------------------- */

void        WnpGlBoxGinitCB(Widget w,XtPointer clientData, XtPointer callbackData);
void        WnpGlBoxExposeCB(Widget w,XtPointer clientData, XtPointer callbackData);
void        WnpGlBoxResizeCB(Widget w,XtPointer clientData, XtPointer callbackData);
void        WnpGlBoxInputCB(Widget w,XtPointer clientData, XtPointer callbackData);
Boolean     WnpWorkProcCB(XtPointer clientData);


/* ------------------------------ other prototypes  ------------------------------ */

Window      WnpGlBoxWindow(void);
Display    *WnpGlBoxDisplay(void);
Widget      WnpGlBoxWidget(void);
Colormap    WnpGlBoxColormap(void);

int         WnpModState(unsigned int state);
void        WnpLookupKey(XKeyEvent *K,int *class,int *sym,char *text);

#endif
