#if defined (cygwin) || defined(mingw)
#include <windows.h>
#endif
#include "wnp.h"
#include <stdlib.h>

void WnpExit(void)
{
  char *cptr;
  int s;

  WnpCloseGraphics();
#ifdef mingw
  WSACleanup();
#endif
  cptr=getenv("WNPserverExitCmd");
  if (cptr) s=system(cptr);
  else s=0;
#if defined (cygwin) || defined (mingw)
  PostQuitMessage(s);
#else
  exit(s);
#endif
}

