#include <stdio.h>
#include "wnp.h"

static int F7toggle=0;

void WnpFunctionKey(int key,int state)
{
  switch (key) {
  case WNP_F1_KEY   :
    if (state==WNP_MOD_NONE)       WnpToggleMenuComm();
    else if (state==WNP_MOD_SHIFT) WnpToggleThreeD();
    break;
  case WNP_F2_KEY   :
    if (state==WNP_MOD_NONE)       WnpScreenDump((char *)NULL);
    else if (state==WNP_MOD_SHIFT) WnpMessageDump((char *)NULL);
    break;
  case WNP_F3_KEY   :
    if (state==WNP_MOD_NONE)       WnpGlBoxToggleFullScreen();
    break;
  case WNP_F4_KEY   :
    break;
  case WNP_F5_KEY   :
    if (state==WNP_MOD_NONE)       WnpSetBenchmarkCounter();
    else if (state==WNP_MOD_SHIFT) WnpCommDebug();
    break;
  case WNP_F6_KEY   :
    if (state==WNP_MOD_NONE)       WnpToggleRocking();
    break;
  case WNP_F7_KEY   :
    if (state==WNP_MOD_NONE) {
      F7toggle=1-F7toggle;
      if (F7toggle) WnpSetSphereMethod(WNP_SPHERE_ICO);
      else WnpSetSphereMethod(WNP_SPHERE_GLU); 
    }
    break;
  case WNP_F8_KEY   :
    break;
  case WNP_F9_KEY   :
    break;
  case WNP_F10_KEY  :
    break;
  case WNP_F11_KEY  :
    break;
  case WNP_F12_KEY  :
    if (state==WNP_MOD_NONE) WnpTogglePhotoMode(0);
    break;
  case WNP_PGUP_KEY:
    if (state==WNP_MOD_NONE) WnpMsgPgUp();
    break;
  case WNP_PGDOWN_KEY:
    if (state==WNP_MOD_NONE) WnpMsgPgDown();
    break;
  default:  break;
  }
}
