#include <string.h>
#include <stdlib.h>
#include <stddef.h>
#include "wnp.h"

static char *local_string=(char *)NULL;

WnpLocalStringCB DispatchLocalString=(WnpLocalStringCB)NULL;
void *extraData;

WnpLocalStringCB WnpLocalStringDispatcher(void)
{
  return(DispatchLocalString);
}

void WnpSetLocalString(char *s)
{
  if (local_string) {
    free(local_string);
    local_string=(char *)NULL;
  }
  if (s) {
    local_string=strdup(s);
  }else local_string=(char *)NULL;
  if (local_string && DispatchLocalString) {
    DispatchLocalString(local_string,extraData);
    DispatchLocalString=(WnpLocalStringCB)NULL;
  }
}

int WnpGetLocalString(WnpLocalStringCB dispatch,void *extra)
{
  int r;

  if (!DispatchLocalString) {
    DispatchLocalString=dispatch;
    extraData=extra;
    r=TRUE;
  }else r=FALSE;
  return(r);
}
