c
c   Atomic parameters
c
        integer atnb(matype)            ! atomic number
        integer npiel(matype)           ! number of pi-electrons
        real    hucka(matype)           ! Hueckel alpha correction
        real    zsz(matype)             ! Eff. nuc. charge (Slater-Zener,PIMM)
        real    tcri(matype)            ! Twocenter repulsion integrals
        real    uip(matype)             ! Ionisation potentials
        real    gang(matype)            ! Equilibrium bondangles
        real    fcang(matype)           ! Forceconstant parameters (bondangles)
        real    anc1(matype)            ! angle correction 1 (pi-system)
        real    anc2(matype)            ! angle correction 2 (pi-system)
        real    fcpla(matype)           ! Forceconstant plane deformation
        real    bopla(matype)           ! bondorder correction for fcpla
        real    dhfa(matype)            ! heats of formation for free atoms
        real    fcang3(matype)          ! Angle forceconstant (cubic)
c
        common /apara/
     *          atnb,npiel,hucka,zsz,tcri,uip,gang,fcang,anc1,anc2,
     *          fcpla,bopla,dhfa,fcang3
c
c   Type descriptors for atomtypes
c
        character*4 type(matype)
        common /tydes/ type
