      subroutine getrbond(nrotb,axis,anchor)
c     
c     Return definition of rotatable bonds and anchor atom.
c     
      implicit none
      include 'sizes.h'
      include 'sybcom.h'
c     
      integer i
      integer nrotb,axis(2,mrotb),anchor,ftype,from,to
      real    active
c     
c     Initialize nrotb and anchor
c     
      anchor=0
      nrotb=0
c     
c     Decode non-charge features
c     
      do i=1,nfta
         read(ftlin(i),'(i4)') ftype
         if (ftype.eq.6) then
            read(ftlin(i),'(16x,2i6,6x,f8.0)') from,to,active
            from=natp(from)/1000
            to=natp(to)/1000
            if (active.gt.0.1.and.from.ne.0.and.to.ne.0) then
               nrotb=nrotb+1
               if (nrotb.le.mrotb) then
                  axis(1,nrotb)=from
                  axis(2,nrotb)=to
               end if
            end if
         else if (ftype.eq.5) then
            read(ftlin(i),'(4x,i4)') anchor
         end if
      end do
c     
c     done...
c     
      return
      end
