      subroutine putmol(nat,coord)
c     
c     Put optimized coordinates back to SYBYL datastructure and
c     write new .MOL file
c     
      implicit none
      include 'sizes.h'
      include 'option.h'
      include 'sybcom.h'
      integer   nat
      real      coord(3,matot)
      character*132 extfil
      integer i,k,l
c     
c     Copy coords to SYBCOM
c     
      do i=1,nat1
         k=natp(i)/1000
         natp(i)=mod(natp(i),1000)
         if (k.gt.0.and.k.le.nat) then
            do l=1,3
               xyz(l,i)=coord(l,k)
            end do
         end if
      end do
c     
c     Write the new file
c     
      open(unit=22,file=extfil(molfile,'.mol',.true.),status='unknown')
      call molwr(22)
c     
c     done...
c     
      return
      end
