      subroutine read_int(unit,nat,name,xyz,ntype,chrg,chrgok,
     .     nbnd,bnd,*)
c     
c     Read molecule from 'unit' in internal format... (no longer used?)
c     
      implicit none
      include 'sizes.h'
c     
      character*8 name(matot),nm
      real xyz(3,matot),chrg(matot),x(3),c
      integer unit,nat,ntype(matot),nbnd,bnd(2,mbtot),
     .     status,nbr(8),tp,i,nbtot
      logical chrgok
c     
      status=0
      nat=0
      nbnd=0
      do while(status.eq.0) 
         read(unit,'(a8,1x,i2,3f12.0,f6.0,8i5)',end=100,err=1000)
     .        nm,tp,x,c,nbr
         if (nat.ge.matot) then
            write(6,'(a,i4)') ' Too many atoms, max. is ',matot
            status=1
         else
            nat=nat+1
            do i=1,3
               xyz(i,nat)=x(i)
            end do
            chrg(nat)=c
            ntype(nat)=tp
            name(nat)=nm
            if (tp.lt.1.or.tp.gt.matype) then
               status=1
               write(6,'(a,a,a,i4)') ' Illegal atomtype, atom ',
     .              nm,', atom number ',nat+1
            end if
            if (status.eq.0) then
               do i=1,8
                  if (nbr(i).gt.0.and.nbr(i).le.nat) then
                     if (nbnd.ge.mbtot) then
                        write(6,'(A)') ' Too many bonds, max. is ',nbtot
                        status=1
                     else
                        nbnd=nbnd+1
                        bnd(1,nbnd)=nbr(i)
                        bnd(2,nbnd)=nat
                     end if
                  end if
               end do
            end if
         end if
      end do
 100  continue
      if (status.ne.0) return 1
      c=0
      do i=1,nat
         c=c+abs((i))
      end do
      chrgok=c.gt.0.0001
      return
c     
 1000 continue
      write(6,'(a)') ' Read error in input file.'
      return 1
      end
c------------------------------------------------------------------------

      subroutine xputmol(n,x)
c     
      integer n,i,j
      real x(3,n)
      
      if (n.gt.1) then
         write(6,'(a)') 'X> BEGIN'
         do i=1,n
            write(6,'(a,10f9.4)') 'X> ',(x(j,i),j=1,3)
         end do
         write(6,'(a)') 'X> END'
      end if
      return
      end
