      subroutine shellsort(n,key,index)
c     
c     Ascending sort of n keys (integer). Upon return, index(i) contains
c     the index of the i-th record in the original sequence.
c     Source: R.Sedgewick, Alogorithms, p. 98
c     
      implicit none
      integer n,key(*),index(*),i,j,h,v,iv
c     
      h=4
      do while (h.le.n)
         h=3*h+1
      end do
c     
      do while (h.gt.0)
         h=h/3
         do i=h+1,n
            v=key(i)
            iv=index(i)
            j=i
            do while (key(j-h).gt.v)
               key(j)=key(j-h)
               index(j)=index(j-h)
               j=j-h
               if (j.le.h) go to 10
            end do
 10         key(j)=v
            index(j)=iv
         end do
      end do
c     
c     done...
c     
      return
      end
