c
c   Definition of array dimensions:
c
        integer matype,mpiat,matot,mwork,mrotb,mfrag

        parameter (matype=14)           ! number of atom types
        parameter (mpiat=250)           ! max. number of atoms in pi-system
        parameter (matot=500)           ! max. number of atoms (total)
        parameter (mwork=50 000)        ! size of IMSL workspace
        parameter (mrotb=50)            ! max. number of rotatable bonds
        parameter (mfrag=50)            ! max. number of rigid fragments
c
c   Definition of dependent parameters:
c
        integer mbtot,mantot,mtotot,mplane,mspmat,msamat,mconst,mconstd

        parameter (mbtot=(5*matot)/4)   ! max. number of bonds
        parameter (mantot=2*mbtot)      ! max. number of bondangles
        parameter (mtotot=3*mbtot)      ! max. number of torsionangles
        parameter (mplane=3*mpiat)      ! max. number of planes (pi-centers)
        parameter (mspmat=(mpiat*(mpiat+1))/2)  ! dimension of symm. pi-matrix
        parameter (msamat=(matot*(matot+1))/2)  ! dimension of symm. matrix
        parameter (mconst=matot)        ! max. number of dist. constraints
        parameter (mconstd=matot)       ! max. number of dihed. constr.
