      integer function domol(unit)
c
      implicit none
      include 'sizes.h'
      include 'options.h'
      include 'moldat.h'
      include 'bounds.h'
      integer unit,retry,i,j
      real*8 refine,acc,y(3,mxnat),bst,swp,extscl,sv
      real*8 randomf
c
      domol=0
      acc=1.e3
      retry=0
      sv=extfact
      extfact=abs(extfact)
      if (extfact.gt.0) then
         extscl=exp(log(0.05/extfact)/max_try)
      else
         extscl=1.0D0
      end if
      do while (acc.gt.0.1.and.retry.lt.max_try)
         retry=retry+1
         do i=1,nat
            do j=1,nat
               bounds(i,j)=topb(i,j)
            end do
         end do
         if (.not.usexy) then
            call handpick
            call seldist
            call embed
         else
            do i=1,nat
               x(3,i)=0.2*randomf()-0.1
            end do
         end if
c
         acc=refine()
         if (retry.eq.1) then
            bst=targ_s+targ_t+targ_d
            do j=1,nat
               do i=1,3
                  y(i,j)=x(i,j)
               end do
            end do
         else if (bst.gt.targ_s+targ_t+targ_d) then
            bst=targ_s+targ_t+targ_d
            do j=1,nat
               do i=1,3
                  y(i,j)=x(i,j)
               end do
            end do
         end if
         if (sv.lt.0) extfact=extfact*extscl
      end do
      extfact=sv
      usexy=.false.
c
      if (acc.le.0.1) then
         domol=1
      else
         do j=1,nat
            do i=1,3
               x(i,j)=y(i,j)
            end do
         end do
      end if

      if (vlev.gt.1) then
         if (domol.eq.1) then
            write(0,'(a,i3,a)') ' Success after ',retry,' trials.'
         else
            write(0,'(a,i3,a)') ' Failed after ',retry,' trials.'
         end if
      end if
c
      if (domol.ne.0.or.fout) then
         call write_maccs(unit)
         call flush(unit)
      end if
c
      return
c
      end
