#ifndef ISAACDEF
#define ISAACDEF

typedef void *ISAACctxt;  /* externally, to hide implementation details */

ISAACctxt ISAACseed(int n,unsigned long *seed);
ISAACctxt ISAACfree(ISAACctxt c);

unsigned long ISAACurand(ISAACctxt c);   /* uniform [0...2^32-1]     */
long   ISAAClrand(ISAACctxt c);          /* uniform [0...2^31-1]     */
long   ISAACmrand(ISAACctxt c);          /* uniform [-2^31...2^31-1] */
double ISAACdrand(ISAACctxt c);          /* uniform [0...1)          */

#endif
