      subroutine setoptions
c
c Do options... (uargh!!!)
c
      implicit none
      include 'sizes.h'
      include 'options.h'
      include 'bounds.h'
c
      character*512 arg
      integer iargc,argc,i
c
      seed=0
      wstc=100.0
      wupper=100.0
      wlower=200.0
      wtor=0.01
      wang=1.0
      thresh_gap=0.5
      max_pick=0
      max_ref=0
      max_try=10
      max_str=1
      vlev=1
      dostc=.true.
      dooop=.true.
      doamide=.true.
      dodbl=.true.
      fout=.false.
      usexy=.false.
      extfact=0.0
      argc=iargc()
#ifdef __GFORTRAN__
      argc=COMMAND_ARGUMENT_COUNT()
#else
      argc=iargc()
#endif
      i=0
      do while (i.lt.argc) 
         i=i+1
         call getarg(i,arg)
         if (arg(1:6).eq.'--help') then
            call provideHelp
            call exit (1)
         end if
         if (arg(1:2).eq.'-v') then
            if (arg(3:3).le.'9'.and.arg(3:3).ge.'0') then
               arg=arg(3:)
            else if (arg(3:).eq.' ') then
               i=i+1
               call getarg(i,arg)
            else 
               arg='1'
            end if
            read(arg,*) vlev
         else if (arg(1:2).eq.'-x') then
            usexy=.false.
         else if (arg(1:2).eq.'-X') then
            usexy=.true.
         else if (arg(1:2).eq.'-f') then
            fout=.true.
         else if (arg(1:2).eq.'-E') then
            if (arg(3:3).eq.'-' .or.
     .           arg(3:3).le.'9'.and.arg(3:3).ge.'0') then
               arg=arg(3:)
            else
               i=i+1
               call getarg(i,arg)
            end if
            read(arg,*) extfact
            if (extfact.gt.0.999) extfact=0.999
         else if (arg(1:2).eq.'-s') then
            if (arg(3:3).le.'9'.and.arg(3:3).ge.'0') then
               arg=arg(3:)
            else
               i=i+1
               call getarg(i,arg)
            end if
            read(arg,*) seed
         else if (arg(1:2).eq.'-S') then
            if (arg(3:3).le.'9'.and.arg(3:3).ge.'0') then
               arg=arg(3:)
            else
               i=i+1
               call getarg(i,arg)
            end if
            read(arg,*) max_str
         else if (arg(1:2).eq.'-r') then
            if (arg(3:3).le.'9'.and.arg(3:3).ge.'0') then
               arg=arg(3:)
            else
               i=i+1
               call getarg(i,arg)
            end if
            read(arg,*) max_try
         else if (arg(1:3).eq.'-wu') then
            if (arg(4:4).le.'9'.and.arg(4:4).ge.'0') then
               arg=arg(4:)
            else
               i=i+1
               call getarg(i,arg)
            end if
            read(arg,*) wupper
         else if (arg(1:3).eq.'-wt') then
            if (arg(4:4).le.'9'.and.arg(4:4).ge.'0') then
               arg=arg(4:)
            else
               i=i+1
               call getarg(i,arg)
            end if
            read(arg,*) wtor
         else if (arg(1:3).eq.'-wa') then
            if (arg(4:4).le.'9'.and.arg(4:4).ge.'0') then
               arg=arg(4:)
            else
               i=i+1
               call getarg(i,arg)
            end if
            read(arg,*) wang
         else if (arg(1:3).eq.'-wb') then
            if (arg(4:4).le.'9'.and.arg(4:4).ge.'0') then
               arg=arg(4:)
            else
               i=i+1
               call getarg(i,arg)
            end if
            read(arg,*) wupper
            wlower=wupper
         else if (arg(1:3).eq.'-wl') then
            if (arg(4:4).le.'9'.and.arg(4:4).ge.'0') then
               arg=arg(4:)
            else
               i=i+1
               call getarg(i,arg)
            end if
            read(arg,*) wlower
         else if (arg(1:3).eq.'-ws') then
            if (arg(4:4).le.'9'.and.arg(4:4).ge.'0') then
               arg=arg(4:)
            else
               i=i+1
               call getarg(i,arg)
            end if
            read(arg,*) wstc
         else if (arg(1:2).eq.'-m') then
            if (arg(3:3).le.'9'.and.arg(3:3).ge.'0') then
               arg=arg(3:)
            else
               i=i+1
               call getarg(i,arg)
            end if
            read(arg,*) max_pick
         else if (arg(1:2).eq.'-i') then
            if (arg(3:3).le.'9'.and.arg(3:3).ge.'0') then
               arg=arg(3:)
            else
               i=i+1
               call getarg(i,arg)
            end if
            read(arg,*) max_ref
         else if (arg(1:2).eq.'-c') then
            arg=arg(3:)
            if (arg.eq.' ') then
               i=i+1
               call getarg(i,arg)
            end if
            do while (arg.ne.' ')
               if (arg(1:1).eq.'p'.or.arg(1:1).eq.'P') then
                  dooop=arg(1:1).eq.'P'
               else if (arg(1:1).eq.'a'.or.arg(1:1).eq.'A') then
                  doamide=arg(1:1).eq.'A'
               else if (arg(1:1).eq.'s'.or.arg(1:1).eq.'S') then
                  dostc=arg(1:1).eq.'S'
               else if (arg(1:1).eq.'d'.or.arg(1:1).eq.'D') then
                  dodbl=arg(1:1).eq.'D'
               end if
               arg=arg(2:)
            end do
         else if (arg(1:2).eq.'-D') then
            i=i+1
            call getarg(i,arg)
            open(unit=21,file=arg,status='old',err=10)
            ndcnstr=0
            do while (ndcnstr.lt.MAXDCNSTR) 
               read(21,'(i4,i5,2f9.3)',end=20,err=10)
     .              icnstr(ndcnstr+1),jcnstr(ndcnstr+1),
     .              lcnstr(ndcnstr+1),ucnstr(ndcnstr+1)
               ndcnstr=ndcnstr+1
            end do
 10         continue
            if (ndcnstr.ge.MAXDCNSTR) write(0,'(a,a)') 
     .           'maximum number of distance constraints eceeded.'
            write(0,'(a,a)') 
     .           'ERROR reading distance constraints file ',arg
            call exit(1)
 20         continue
         end if
      end do
      call setrand(seed)
c
      return
      end
