      subroutine tighten
c
      implicit none
      include 'sizes.h'
      include 'moldat.h'
      include 'options.h'
      include 'bounds.h'
c
      integer i,j,k,l,n
c
      n=nat
      do while(n.gt.1)       ! not very clever !!!
         do i=1,nat-1
            do j=i+1,nat
               do l=1,i-1
                  bounds(i,j)=min(bounds(i,j),bounds(l,i)+bounds(l,j))
               end do
               do l=i+1,j-1
                  bounds(i,j)=min(bounds(i,j),bounds(i,l)+bounds(l,j))
               end do
               do l=j+1,nat
                  bounds(i,j)=min(bounds(i,j),bounds(i,l)+bounds(j,l))
               end do
            end do
         end do
         n=n/2
      end do
c
      n=nat
      do while(n.gt.1)          ! very unsophisticated !!!
         do i=1,nat-1
            do j=i+1,nat
               do k=1,i-1
                  bounds(j,i)=max(bounds(j,i),bounds(i,k)-bounds(k,j))
               end do
               do k=i+1,j-1
                  bounds(j,i)=max(bounds(j,i),bounds(k,i)-bounds(k,j))
               end do
               do k=j+1,nat
                  bounds(j,i)=max(bounds(j,i),bounds(k,i)-bounds(j,k))
               end do
            end do
         end do
         n=n/2
      end do
c
      do i=2,nat
         do j=1,i-1
            bounds(i,j)=min(bounds(i,j),bounds(j,i))
         end do
      end do
c
      return
      end
