:: A script to find the root of Cygwin, if installed, and prefix to sue for drive letters
@echo off

:: forget prior definitions, if any...
set CYG_ROOT=
set CYG_DRIVE=/cygdrive

:: first look in HKEY_CURRENT_USER
for /F "tokens=1,2,* usebackq" %%x in (`reg query "HKCU\Software\Cygnus Solutions\Cygwin\Mounts v2" /s`) do (
   if  "%%x:%%y" == "native:REG_SZ"  (
      if exist "%%z\bin\bash.exe" (
	 if not defined CYG_ROOT set CYG_ROOT=%%z
      )
   )else if "%%x.%%y" == "cygdrive.prefix" (
      if not defined CYG_DRIVE (
         for /F "tokens=2 usebackq" %%y in (`echo %%z`) do set CYG_DRIVE=%%y
      )
   )
)

:: next look in HKEY_LOCAL_MACHINE
for /F "tokens=1,2,* usebackq" %%x in (`reg query "HKLM\Software\Cygnus Solutions\Cygwin\Mounts v2" /s`) do (
   if  "%%x:%%y" == "native:REG_SZ"  (
      if exist "%%z\bin\bash.exe" (
	 if not defined CYG_ROOT set CYG_ROOT=%%z
      )
   )else if "%%x.%%y" == "cygdrive.prefix" (
      if not defined CYG_DRIVE (
         for /F "tokens=2 usebackq" %%y in (`echo %%z`) do set CYG_DRIVE=%%y
      )
   )
)

:: all done...
:done
