@echo off
setlocal

:: set to 1, to tell Wit!P that it was called from DOS script
set WNPINDOS=1

:: Keep a pointer to where we started
set WNP_STARTDIR=%cd%

:: Keep a pointer to the user's home directory
set WNP_USERDIR=%HOMEDRIVE%%HOMEPATH%

:: Find the root of the Wit!P installation
set WNP_ROOT=%~pd0
set WNP_ROOT=%WNP_ROOT:~0,-1%

:: Find a Cygwin installation, or use mini-Cygwin from %WNP_ROOT%\sys
call %WNP_ROOT%\findCygwin 2>/nul
if defined CYG_ROOT (
  if exist %CYG_ROOT%\bin\sw_client.exe (
    set CYG_ROOT=%WNP_ROOT%
    set WNP_CYGBIN=%WNP_ROOT%\sys
  ) else (
    set WNP_CYGBIN=%CYG_ROOT%\bin
  )
) else (
  set WNP_CYGBIN=%WNP_ROOT%\sys
)

:: Add Wit!P bin and sys directories to executables path
set PATH=%WNP_ROOT%\bin;%WNP_CYGBIN%;%SystemRoot%\system32

set WNP_FONTPATH=%WNP_ROOT%\bin\wnp_fonts

for /F "tokens=1 usebackq" %%x in (`bash.exe dos2cyg -p %CYG_DRIVE% %WNP_FONTPATH%`) do (
   set WNP_FONTPATH=%%x
)

cd %WNP_USERDIR%

:loop
  %WNP_ROOT%\bin\sw_server.exe foreground service port_19945
goto loop

endlocal
pause
