{!Dynamics at constant temperature, with optional set of fixed atoms.}
      overlap = 0.01
      cutdis = {? float "cutoff (on): " 12.0}
      cutoff = {? float "cutoff (off): " 14.0}
      swtdis = 2.0

      begin simulation
     *    add-automatic bond torsion valence out-of-plane
      reduce

      set dielectric  = 2*r
 
      {? fixed "fixed atoms: "}

      constrain

      Minimize
     *    no cross terms
     *    no morse
     *    for {? int "initial number of minimization steps: " 100} iterations
     *    using conjugate gradient
     *    until the maximum derivative is less than 0.001000000 kcal/A 

      Initialize Dynamics
     *    at {? float "temperature: " 300} K
     *    for {? int "number of initialization steps (fs): " 500} iterations
     *    steps of 1.000 
     *    no cross terms
     *    no morse
     *    write history every {? int "number of steps (fs) per frame: " 50} steps
     *    averages every {? int "number of steps (fs) between averages: " 250} steps

      Resume Dynamics
     *    for {? int "number of dynamics steps (fs): " 10000} iterations
     *    no cross terms
     *    no morse
      end
